:: Re: [DNG] How to mount NTFS
Top Page
Delete this message
Reply to this message
Author: g4sra
Date:  
To: dng
Subject: Re: [DNG] How to mount NTFS
On 09/08/2020 16:55, Haines Brown wrote:
> On Sat, Aug 08, 2020 at 02:53:13PM +0100, g4sra via Dng wrote:


>> 3) abort if the mount fails
>> [ $? -eq 0 ] || {echo "Mount Failed!"; exit 1;}
>
> I put this line into my backup script and only got a syntax error.


My bad, changed from '#!/bin/bash' syntax to '#!/bin/sh'

# this must follow immediately after the mount command
if [ $? -ne 0 ]; then
echo "Mount Failed!"
exit 1
fi
>>
>> You are backing up files that have not changed since the last backup.
>> Do you really need all of that kerfuffle ?
>
> The only price paid for the "kerfuffle" is the expense of a large
> backup disk and the extra time that a backup takes in the backgroundñ.
> In the past (back in my OS/2 days) I did incremental backups, but
> since then like easy access to files that have not changed. Of course
> the majority of people are not inclinded to see thigs this way.
>


Easy access to files is exactly why I use 'rsync', no need to go down the painful
'restore master backup' followed by 'restore all further incremental backups'.
Plus it only copies as required and optionally backs up the backup.
So you get protection against 'User' error as well as device failure.
Trust me on this, read the 'rsync' manual.


As an aside, that coding style looks like late 60's to me. Nothing wrong with that,
just not common to see cpio used other than behind the scenes nowadays (initramfs).
I wonder how many brain cells are 'out there' that still use 'cpio' 'tar' and
'/etc/rmt' or know how to low level format an ST506 MFM HDD.
I am living proof dinosaurs are not extinct!
Anybody with a computer museum wanna give me a job ?